Index: sm/trunk-jpl/externalpackages/python/install-2.7.2-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/python/install-2.7.2-linux64.sh	(revision 13369)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#!/bin/bash
-set -eu
-
-#Some cleanup
-rm -rf install src
-rm -rf Python-2.7.2
-mkdir install src
-
-#Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.2.tgz Python-2.7.2.tgz
-
-#exports
-export CC
-
-#Untar and move python into install directory
-tar -zxvf  Python-2.7.2.tgz
-mv Python-2.7.2/* src
-rm -rf Python-2.7.2
-
-#Configure python
-cd src 
-./configure \
- --prefix="$ISSM_DIR/externalpackages/python/install" \
- --enable-shared
-
-if [ $# -eq 0 ]; then
-	make
-else
-	make -j $1
-fi
-make install
-
-cd ../install/include
-cp python2.7/* ./
-cd ../lib
-ln -s  libpython2.7.so.1.0 libpython.so
Index: sm/trunk-jpl/externalpackages/python/install-2.7.2-macosx-lion.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/python/install-2.7.2-macosx-lion.sh	(revision 13369)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#!/bin/bash
-set -eu
-
-#Some cleanup
-rm -rf install src
-rm -rf Python-2.7.2
-mkdir install src
-
-#Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.2.tgz Python-2.7.2.tgz
-
-#exports
-export CC
-
-#Untar and move python into install directory
-tar -zxvf  Python-2.7.2.tgz
-mv Python-2.7.2/* src
-rm -rf Python-2.7.2
-
-#Configure and compile
-cd src 
-./configure \
- --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
-if [ $# -eq 0 ]; then
-	make
-else
-	make -j $1
-fi
-make install
-
-cd ../install
-
-#get rid of bin, because it's just a copy of
-#Library/Frameworks/Python.framework/Versions/2.7/bin, and will not reflect
-#new changes being made
-rm -rf bin
-ln -s Library/Frameworks/Python.framework/Headers include
-ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
-ln -s Library/Frameworks/Python.framework/Versions/2.7/bin bin
-
-#Patch pyport.h:
-cd include
-patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
Index: sm/trunk-jpl/externalpackages/python/install-2.7.2-macosx-snowleopard.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/python/install-2.7.2-macosx-snowleopard.sh	(revision 13369)
+++ 	(revision )
@@ -1,41 +1,0 @@
-#!/bin/bash
-set -eu
-
-#Some cleanup
-rm -rf install src
-rm -rf Python-2.7.2
-mkdir install src
-
-#Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.2.tgz Python-2.7.2.tgz
-
-#exports
-export CC
-export MACOSX_DEPLOYMENT_TARGET=10.6
-
-#Untar and move python into install directory
-tar -zxvf  Python-2.7.2.tgz
-mv Python-2.7.2/* src
-rm -rf Python-2.7.2
-
-#Configure doxygen
-cd src 
-# --enable-framework needs to have the form "$SOME_PATH/Library/Frameworks" to avoid installing components in /Applications directory
-# --prefix is recognized as $SOME_PATH as long as this form is taken, so it's not necessary to include
-./configure --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
-
-#make
-if [ $# -eq 0 ]; then
-	make
-else
-	make -j $1
-fi
-make install
-
-cd ../install
-ln -s Library/Frameworks/Python.framework/Headers include
-ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
-
-#Patch pyport.h:
-cd include
-patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
Index: /issm/trunk-jpl/externalpackages/python/install-2.7.3-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/python/install-2.7.3-linux64.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/python/install-2.7.3-linux64.sh	(revision 13370)
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.3
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.3.tgz Python-2.7.3.tgz
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.3.tgz
+mv Python-2.7.3/* src
+rm -rf Python-2.7.3
+
+#Configure python
+cd src 
+./configure \
+ --prefix="$ISSM_DIR/externalpackages/python/install" \
+ --enable-shared
+
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install/include
+cp python2.7/* ./
+cd ../lib
+ln -s  libpython2.7.so.1.0 libpython.so
Index: /issm/trunk-jpl/externalpackages/python/install-2.7.3-macosx-lion.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/python/install-2.7.3-macosx-lion.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/python/install-2.7.3-macosx-lion.sh	(revision 13370)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.3
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.3.tgz Python-2.7.3.tgz
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.3.tgz
+mv Python-2.7.3/* src
+rm -rf Python-2.7.3
+
+#Configure and compile
+cd src 
+./configure \
+ --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install
+
+#get rid of bin, because it's just a copy of
+#Library/Frameworks/Python.framework/Versions/2.7/bin, and will not reflect
+#new changes being made
+rm -rf bin
+ln -s Library/Frameworks/Python.framework/Headers include
+ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
+ln -s Library/Frameworks/Python.framework/Versions/2.7/bin bin
+
+#Patch pyport.h:
+cd include
+patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
Index: /issm/trunk-jpl/externalpackages/python/install-2.7.3-macosx-snowleopard.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/python/install-2.7.3-macosx-snowleopard.sh	(revision 13370)
+++ /issm/trunk-jpl/externalpackages/python/install-2.7.3-macosx-snowleopard.sh	(revision 13370)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-2.7.3
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-2.7.3.tgz Python-2.7.3.tgz
+
+#exports
+export MACOSX_DEPLOYMENT_TARGET=10.6
+
+#Untar and move python into install directory
+tar -zxvf  Python-2.7.3.tgz
+mv Python-2.7.3/* src
+rm -rf Python-2.7.3
+
+#Configure doxygen
+cd src 
+# --enable-framework needs to have the form "$SOME_PATH/Library/Frameworks" to avoid installing components in /Applications directory
+# --prefix is recognized as $SOME_PATH as long as this form is taken, so it's not necessary to include
+./configure --enable-framework="$ISSM_DIR/externalpackages/python/install/Library/Frameworks" 
+
+#make
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+cd ../install
+ln -s Library/Frameworks/Python.framework/Headers include
+ln -s Library/Frameworks/Python.framework/Versions/2.7/lib lib
+
+#Patch pyport.h:
+cd include
+patch pyport.h $ISSM_DIR/externalpackages/python/patches/pyport.h.patch
